<?php
$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_d717884ce9fe95b212f09fa38768bc1" . "f" => base64_decode("Y2FsZW5kYXI" . "uZXJyX2VuZF" . "9iZWZvcmVfc" . "3RhcnQ="), "_7771b5dcfee" . "ecba30b34d84" . "c09a21ec4" => base64_decode("Y2FsZW5kYXIuZXJyX2ludmFsaWRfZGF0" . "ZQ=="), "_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d" => base64_decode("bG1" . "zZw" . "=="));






class CalendarEventDatePeriod extends DatePeriodDialog
{
    public function __construct($_7392cbdbf5bdf4880fc8e5fbb070663d = false)
    {
        parent::__construct($_7392cbdbf5bdf4880fc8e5fbb070663d);
    }
    
    
    
    
    
    
    public function ValidateStartEnd()
    {
        if (!$this->start || !$this->end) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_7771b5dcfeeecba30b34d84c09a21ec" . "4"]));
        }
        
        
        if (Date::compare($this->start, $this->end, 1) <= 0) {
            return true;
        } else {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_0c5123aa744f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_d717884ce9f" . "e95b212f09fa" . "38768bc1f"]));
        }
    }
}